///home/berryj/link/bin/genMethods "-g" "-t" "char*" "-h" "Set" "-r" "MSet<char*>" "-I" "LINK/basic/Set.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Set.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef char* _char_;
typedef Set<char* > _Set_char__;
static Set<char* > s__Set_char__;

#define _Set_char__DATA(x) ((Set<char* >*) (EXTDATA(x)))
#define _Set_char__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<char* > >::type))
#define _Set_char__ISNT_DATA(x) (!_Set_char__IS_DATA(x))

#define _Set_char__CXX_DATA(x) (*(Set<char* >*) (EXTDATA(VAL(x))))
#define _Set_char__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<char* > >::type))
#define _Set_char__CXX_ISNT_DATA(x) (!_Set_char__CXX_IS_DATA(x))


PRIMITIVE STk_init__Set_char__()
{
	Wrapper<_Set_char__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Set_char__>::name, 
			Wrapper<MSet<char*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_char_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_char_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_char_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Set_char__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Set_char__Methods(void);

PRIMITIVE STk_init_methods__Set_char__()
{
	genExtra_Set_char__Methods();
	return UNDEFINED;
}
